import { SelectionModel } from '@angular/cdk/collections';
import { NestedTreeControl } from '@angular/cdk/tree';
import { OnDestroy, OnInit } from '@angular/core';
import { MatTreeNestedDataSource } from '@angular/material/tree';
import { Store } from '@ngrx/store';
import { Subscription } from 'rxjs';
import * as fromMangol from './../../store/mangol.reducers';
import { MapService } from './../map/map.service';
import { LayertreeItemNode } from './classes/layertree-item-node.class';
import { LayertreeService } from './layertree.service';
export declare class LayertreeComponent implements OnInit, OnDestroy {
    private store;
    private layertreeService;
    private mapService;
    nestedTreeControl: NestedTreeControl<LayertreeItemNode>;
    nestedDataSource: MatTreeNestedDataSource<LayertreeItemNode>;
    checklistSelection: SelectionModel<LayertreeItemNode>;
    tabSubscription: Subscription;
    configSub: Subscription;
    constructor(store: Store<fromMangol.MangolState>, layertreeService: LayertreeService, mapService: MapService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private getChildren;
    hasNestedChild: (_: number, node: LayertreeItemNode) => boolean;
    toggleCheckbox(node: LayertreeItemNode): void;
    toggleLayergroup(node: LayertreeItemNode): void;
}
